/*
 *  Copyright (C) 2000 Marco Pesenti Gritti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 *  2003-12-17 Hiroyuki Ikezoe <poincare@ikezoe.net>
 *   these codes picked from EphyEventListner.h in epiphany-1.0.6.    
 */

#ifndef __KZ_MOZ_EVENT_LISTENER_H__
#define __KZ_MOZ_EVENT_LISTENER_H__

#include "kz-gecko-embed.h"

#include <nsIDOMEventListener.h>
#include <nsCOMPtr.h>
#include <nsIDOMElement.h>
#define MOZILLA_STRICT_API
#include <nsEmbedString.h>
#undef MOZILLA_STRICT_API

class KzMozEventListener : public nsIDOMEventListener
{
 public:
	KzMozEventListener();
	virtual ~KzMozEventListener();

	nsresult Init(KzGeckoEmbed *aOwner);

	NS_DECL_ISUPPORTS
	NS_DECL_NSIDOMEVENTLISTENER

 private:
	KzGeckoEmbed *mOwner;

	nsresult HandleLink        (nsIDOMNode *node);
	nsresult GetLinkAttribute  (nsCOMPtr<nsIDOMElement>& linkElement,
				    const char *name,
				    nsEmbedString *value);
};

#endif /* __KZ_MOZ_EVENT_LISTENER_H__ */
